#include<iostream>
#include<vector>
#include<unordered_map>
#include<utility>
using namespace std;
typedef long long ll;

int n;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n;
    cin>>n;
    vector<int> a(n);
    for(int i=0; i<n; i++){
        cin>>a[i];
    }

    cout<<max(a[0], max(a[1], a[2]))-min(a[0], max(a[1], a[2]));
}